searchNodes=[{"ref":"MPL3115A2.html","title":"MPL3115A2","type":"module","doc":"MPL3115A2 Driver for Elixir using ElixirALE. Usage: Add your devices to your config like so: config :mpl3115a2, devices: [ %{bus: &quot;i2c-1&quot;, address: 0x3d, reset_pin: 17} ] Then use the functions in [MPL3115A2.Device] to send image data. Pretty simple."},{"ref":"MPL3115A2.html#connect/1","title":"MPL3115A2.connect/1","type":"function","doc":"Connect to an MPL3115A2 device."},{"ref":"MPL3115A2.html#disconnect/1","title":"MPL3115A2.disconnect/1","type":"function","doc":"Disconnect an MPL3115A2 device."},{"ref":"MPL3115A2.Commands.html","title":"MPL3115A2.Commands","type":"module","doc":"Commands for reading and modifying the device&#39;s registers."},{"ref":"MPL3115A2.Commands.html#alarm_select/1","title":"MPL3115A2.Commands.alarm_select/1","type":"function","doc":"ALARM_SEL The bit selects the Target value for SRC_PW/SRC_TW and SRC_PTH/SRC_TTH Default value: 0 0: The values in P_TGT_MSB, P_TGT_LSB and T_TGT are used (Default) 1: The values in OUT_P/OUT_T are used for calculating the interrupts SRC_PW/SRC_TW and SRC_PTH/SRC_TTH."},{"ref":"MPL3115A2.Commands.html#alarm_select/2","title":"MPL3115A2.Commands.alarm_select/2","type":"function","doc":""},{"ref":"MPL3115A2.Commands.html#altimeter_or_barometer/1","title":"MPL3115A2.Commands.altimeter_or_barometer/1","type":"function","doc":"ALT Altimeter-Barometer mode. Selects whether the device is in Altimeter or Barometer mode. Can be either :barometer or :altimeter."},{"ref":"MPL3115A2.Commands.html#altimeter_or_barometer/2","title":"MPL3115A2.Commands.altimeter_or_barometer/2","type":"function","doc":""},{"ref":"MPL3115A2.Commands.html#altitude/1","title":"MPL3115A2.Commands.altitude/1","type":"function","doc":"OUT_P Altitude in meters."},{"ref":"MPL3115A2.Commands.html#altitude_delta/1","title":"MPL3115A2.Commands.altitude_delta/1","type":"function","doc":"OUT_P_DELTA Altitude delta in meters."},{"ref":"MPL3115A2.Commands.html#altitude_offset/1","title":"MPL3115A2.Commands.altitude_offset/1","type":"function","doc":"OFF_H Altitude Offset Altitude user accessible offset trim value."},{"ref":"MPL3115A2.Commands.html#altitude_offset/2","title":"MPL3115A2.Commands.altitude_offset/2","type":"function","doc":""},{"ref":"MPL3115A2.Commands.html#altitude_pressure_delta_interrupt?/1","title":"MPL3115A2.Commands.altitude_pressure_delta_interrupt?/1","type":"function","doc":"SRC_PCHG Delta P interrupt status."},{"ref":"MPL3115A2.Commands.html#altitude_pressure_interrupt?/1","title":"MPL3115A2.Commands.altitude_pressure_interrupt?/1","type":"function","doc":"SRC_PW Altitude/Pressure alerter status near or equal to target Pressure/Altitude. Near is within target value ± window value. Window value needs to be non zero for interrupt to trigger."},{"ref":"MPL3115A2.Commands.html#altitude_pressure_threshold_interrupt?/1","title":"MPL3115A2.Commands.altitude_pressure_threshold_interrupt?/1","type":"function","doc":"SRC_PTH Altitude/Pressure threshold interrupt. With the window set to a non zero value, the trigger will occur on crossing any of the thresholds: upper, center or lower. If the window is set to 0, it will only trigger on crossing the center threshold."},{"ref":"MPL3115A2.Commands.html#barometric_pressure_input/1","title":"MPL3115A2.Commands.barometric_pressure_input/1","type":"function","doc":"BAR_IN Barometric input for altitude calculations. Input is equivalent sea level pressure for measurement location."},{"ref":"MPL3115A2.Commands.html#barometric_pressure_input/2","title":"MPL3115A2.Commands.barometric_pressure_input/2","type":"function","doc":""},{"ref":"MPL3115A2.Commands.html#data_acquisition_time_step/1","title":"MPL3115A2.Commands.data_acquisition_time_step/1","type":"function","doc":"ST Auto acquisition time step."},{"ref":"MPL3115A2.Commands.html#data_acquisition_time_step/2","title":"MPL3115A2.Commands.data_acquisition_time_step/2","type":"function","doc":""},{"ref":"MPL3115A2.Commands.html#data_ready_event_mode/1","title":"MPL3115A2.Commands.data_ready_event_mode/1","type":"function","doc":"DREM Data ready event mode. If the DREM bit is set true and one or more of the data ready event flags (PDEFE, TDEFE) are enabled, then an event flag will be raised upon change in state of the data. If the DREM bit is false and one or more of the data ready event flags are enabled, then an event flag will be raised whenever the system acquires a new set of data. Default value: false."},{"ref":"MPL3115A2.Commands.html#data_ready_event_mode/2","title":"MPL3115A2.Commands.data_ready_event_mode/2","type":"function","doc":""},{"ref":"MPL3115A2.Commands.html#data_ready_interrupt?/1","title":"MPL3115A2.Commands.data_ready_interrupt?/1","type":"function","doc":"SRC_DRDY Data ready interrupt status. true indicates that Pressure/Altitude or Temperature data ready interrupt is active indicating the presence of new data and/or a data overwrite, otherwise it is false."},{"ref":"MPL3115A2.Commands.html#fifo_event_sample_count_watermark/1","title":"MPL3115A2.Commands.fifo_event_sample_count_watermark/1","type":"function","doc":"F_WMRK FIFO Event Sample Count Watermark."},{"ref":"MPL3115A2.Commands.html#fifo_event_sample_count_watermark/2","title":"MPL3115A2.Commands.fifo_event_sample_count_watermark/2","type":"function","doc":""},{"ref":"MPL3115A2.Commands.html#fifo_interrupt?/1","title":"MPL3115A2.Commands.fifo_interrupt?/1","type":"function","doc":"SRC_FIFO FIFO interrupt status. true indicates that a FIFO interrupt event such as an overflow event has occurred. false indicates that no FIFO interrupt event has occurred."},{"ref":"MPL3115A2.Commands.html#fifo_overflow?/1","title":"MPL3115A2.Commands.fifo_overflow?/1","type":"function","doc":"F_OVF FIFO overflow events detected?"},{"ref":"MPL3115A2.Commands.html#fifo_overflow_mode/1","title":"MPL3115A2.Commands.fifo_overflow_mode/1","type":"function","doc":"F_MODE FIFO mode, can be either :fifo_disabled, :circular_buffer or :halt_on_overflow."},{"ref":"MPL3115A2.Commands.html#fifo_overflow_mode/2","title":"MPL3115A2.Commands.fifo_overflow_mode/2","type":"function","doc":""},{"ref":"MPL3115A2.Commands.html#fifo_read_altitude/1","title":"MPL3115A2.Commands.fifo_read_altitude/1","type":"function","doc":"F_DATA Read FIFO data in Altitude mode."},{"ref":"MPL3115A2.Commands.html#fifo_read_pressure/1","title":"MPL3115A2.Commands.fifo_read_pressure/1","type":"function","doc":"F_DATA Read FIFO data in Barometer mode."},{"ref":"MPL3115A2.Commands.html#fifo_sample_count/1","title":"MPL3115A2.Commands.fifo_sample_count/1","type":"function","doc":"F_CNT FIFO sample count"},{"ref":"MPL3115A2.Commands.html#fifo_watermark?/1","title":"MPL3115A2.Commands.fifo_watermark?/1","type":"function","doc":"F_WMRK_FLAG FIFO watermark events detected?"},{"ref":"MPL3115A2.Commands.html#initialize!/2","title":"MPL3115A2.Commands.initialize!/2","type":"function","doc":"Tries to configure the device according to sane defaults. config is a map containing any of the following keys: :standby set to true to put the device in standby, otherwise defaults to false. :oversample set to the oversample rate you want. Valid values are two&#39;s complements from 1 to 128. Defaults to 128. :mode, set to either :altimeter or :barometer. Defaults to :altimeter. :event_on_new_temperature set to false to disable. Defaults to true. :event_on_new_pressure set to false to disable. Defaults to true. :data_ready_event_mode set to false to disable. Defaults to true."},{"ref":"MPL3115A2.Commands.html#interrupt1_polarity/1","title":"MPL3115A2.Commands.interrupt1_polarity/1","type":"function","doc":"IPOL1 The IPOL bit selects the polarity of the interrupt signal. When IPOL is ‘0’ (default value) any interrupt event will signalled with a logical ‘0&#39;. Interrupt Polarity active high, or active low on interrupt pad INT1. Default value: 0 0: Active low 1: Active high"},{"ref":"MPL3115A2.Commands.html#interrupt1_polarity/2","title":"MPL3115A2.Commands.interrupt1_polarity/2","type":"function","doc":""},{"ref":"MPL3115A2.Commands.html#interrupt1_pp_or_od/1","title":"MPL3115A2.Commands.interrupt1_pp_or_od/1","type":"function","doc":"PP_OD1 This bit configures the interrupt pin to Push-Pull or in Open Drain mode. The default value is 0 which corresponds to Push-Pull mode. The open drain configuration can be used for connecting multiple interrupt signals on the same interrupt line. Push-Pull/Open Drain selection on interrupt pad INT1. Default value: 0 0: Internal Pullup 1: Open drain"},{"ref":"MPL3115A2.Commands.html#interrupt1_pp_or_od/2","title":"MPL3115A2.Commands.interrupt1_pp_or_od/2","type":"function","doc":""},{"ref":"MPL3115A2.Commands.html#interrupt2_polarity/1","title":"MPL3115A2.Commands.interrupt2_polarity/1","type":"function","doc":"IPOL2 Interrupt Polarity active high, or active low on interrupt pad INT2. Default value: 0 0: Active low 1: Active high"},{"ref":"MPL3115A2.Commands.html#interrupt2_polarity/2","title":"MPL3115A2.Commands.interrupt2_polarity/2","type":"function","doc":""},{"ref":"MPL3115A2.Commands.html#interrupt2_pp_or_od/1","title":"MPL3115A2.Commands.interrupt2_pp_or_od/1","type":"function","doc":"PP_OD2 Push-Pull/Open Drain selection on interrupt pad INT2. Default value: 0 0: Internal Pull-up 1: Open drain"},{"ref":"MPL3115A2.Commands.html#interrupt2_pp_or_od/2","title":"MPL3115A2.Commands.interrupt2_pp_or_od/2","type":"function","doc":""},{"ref":"MPL3115A2.Commands.html#interrupt_enable_data_ready/1","title":"MPL3115A2.Commands.interrupt_enable_data_ready/1","type":"function","doc":"INT_EN_DRDY Data Ready Interrupt Enable. Default value: 0 0: Data Ready interrupt disabled 1: Data Ready interrupt enabled"},{"ref":"MPL3115A2.Commands.html#interrupt_enable_data_ready/2","title":"MPL3115A2.Commands.interrupt_enable_data_ready/2","type":"function","doc":""},{"ref":"MPL3115A2.Commands.html#interrupt_enable_fifo/1","title":"MPL3115A2.Commands.interrupt_enable_fifo/1","type":"function","doc":"INT_EN_FIFO FIFO Interrupt Enable. Default value: 0 0: FIFO interrupt disabled 1: FIFO interrupt enabled"},{"ref":"MPL3115A2.Commands.html#interrupt_enable_fifo/2","title":"MPL3115A2.Commands.interrupt_enable_fifo/2","type":"function","doc":""},{"ref":"MPL3115A2.Commands.html#interrupt_enable_pressure_change/1","title":"MPL3115A2.Commands.interrupt_enable_pressure_change/1","type":"function","doc":"INT_EN_PCHG Pressure Change Interrupt Enable. Default value: 0 0: Pressure Change interrupt disabled 1: Pressure Change interrupt enabled"},{"ref":"MPL3115A2.Commands.html#interrupt_enable_pressure_change/2","title":"MPL3115A2.Commands.interrupt_enable_pressure_change/2","type":"function","doc":""},{"ref":"MPL3115A2.Commands.html#interrupt_enable_pressure_threshold/1","title":"MPL3115A2.Commands.interrupt_enable_pressure_threshold/1","type":"function","doc":"INT_EN_PTH Pressure Threshold Interrupt Enable. Default value: 0 0: Pressure Threshold interrupt disabled 1: Pressure Threshold interrupt enabled"},{"ref":"MPL3115A2.Commands.html#interrupt_enable_pressure_threshold/2","title":"MPL3115A2.Commands.interrupt_enable_pressure_threshold/2","type":"function","doc":""},{"ref":"MPL3115A2.Commands.html#interrupt_enable_pressure_window/1","title":"MPL3115A2.Commands.interrupt_enable_pressure_window/1","type":"function","doc":"INT_EN_PW Pressure Window Interrupt Enable. Default value: 0 0: Pressure window interrupt disabled 1: Pressure window interrupt enabled"},{"ref":"MPL3115A2.Commands.html#interrupt_enable_pressure_window/2","title":"MPL3115A2.Commands.interrupt_enable_pressure_window/2","type":"function","doc":""},{"ref":"MPL3115A2.Commands.html#interrupt_enable_temperature_change/1","title":"MPL3115A2.Commands.interrupt_enable_temperature_change/1","type":"function","doc":"INT_EN_TCHG Temperature Change Interrupt Enable. Default value: 0 0: Temperature Change interrupt disabled 1: Temperature Change interrupt enabled"},{"ref":"MPL3115A2.Commands.html#interrupt_enable_temperature_change/2","title":"MPL3115A2.Commands.interrupt_enable_temperature_change/2","type":"function","doc":""},{"ref":"MPL3115A2.Commands.html#interrupt_enable_temperature_threshold/1","title":"MPL3115A2.Commands.interrupt_enable_temperature_threshold/1","type":"function","doc":"INT_EN_TTH Temperature Threshold Interrupt Enable. Default value: 0 0: Temperature Threshold interrupt disabled 1: Temperature Threshold interrupt enabled"},{"ref":"MPL3115A2.Commands.html#interrupt_enable_temperature_threshold/2","title":"MPL3115A2.Commands.interrupt_enable_temperature_threshold/2","type":"function","doc":""},{"ref":"MPL3115A2.Commands.html#interrupt_enable_temperature_window/1","title":"MPL3115A2.Commands.interrupt_enable_temperature_window/1","type":"function","doc":"INT_EN_TW Temperature Window Interrupt Enable. Interrupt Enable. Default value: 0 0: Temperature window interrupt disabled 1: Temperature window interrupt enabled"},{"ref":"MPL3115A2.Commands.html#interrupt_enable_temperature_window/2","title":"MPL3115A2.Commands.interrupt_enable_temperature_window/2","type":"function","doc":""},{"ref":"MPL3115A2.Commands.html#interrupt_pin_data_ready/1","title":"MPL3115A2.Commands.interrupt_pin_data_ready/1","type":"function","doc":"INT_CFG_DRDY Data Ready Interrupt Pin Select. 1 - Interrupt Pin 1 2 - Interrupt Pin 2"},{"ref":"MPL3115A2.Commands.html#interrupt_pin_data_ready/2","title":"MPL3115A2.Commands.interrupt_pin_data_ready/2","type":"function","doc":""},{"ref":"MPL3115A2.Commands.html#interrupt_pin_fifo/1","title":"MPL3115A2.Commands.interrupt_pin_fifo/1","type":"function","doc":"INT_CFG_FIFO FIFO Interrupt Pin Select. 1 - Interrupt Pin 1 2 - Interrupt Pin 2"},{"ref":"MPL3115A2.Commands.html#interrupt_pin_fifo/2","title":"MPL3115A2.Commands.interrupt_pin_fifo/2","type":"function","doc":""},{"ref":"MPL3115A2.Commands.html#interrupt_pin_pressure_change/1","title":"MPL3115A2.Commands.interrupt_pin_pressure_change/1","type":"function","doc":"INT_CFG_PCHG - Pressure Change Interrupt Pin Select 1 - Interrupt Pin 1 2 - Interrupt Pin 2"},{"ref":"MPL3115A2.Commands.html#interrupt_pin_pressure_change/2","title":"MPL3115A2.Commands.interrupt_pin_pressure_change/2","type":"function","doc":""},{"ref":"MPL3115A2.Commands.html#interrupt_pin_pressure_threshold/1","title":"MPL3115A2.Commands.interrupt_pin_pressure_threshold/1","type":"function","doc":"INT_CFG_PTH Pressure Threshold Interrupt Pin Select 1 - Interrupt Pin 1 2 - Interrupt Pin 2"},{"ref":"MPL3115A2.Commands.html#interrupt_pin_pressure_threshold/2","title":"MPL3115A2.Commands.interrupt_pin_pressure_threshold/2","type":"function","doc":""},{"ref":"MPL3115A2.Commands.html#interrupt_pin_pressure_window/1","title":"MPL3115A2.Commands.interrupt_pin_pressure_window/1","type":"function","doc":"INT_CFG_PW Pressure Window Interrupt Pin Select 1 - Interrupt Pin 1 2 - Interrupt Pin 2"},{"ref":"MPL3115A2.Commands.html#interrupt_pin_pressure_window/2","title":"MPL3115A2.Commands.interrupt_pin_pressure_window/2","type":"function","doc":""},{"ref":"MPL3115A2.Commands.html#interrupt_pin_temperature_change/1","title":"MPL3115A2.Commands.interrupt_pin_temperature_change/1","type":"function","doc":"INT_CFG_TCHG - Temperature Change Interrupt Pin Select 1 - Interrupt Pin 1 2 - Interrupt Pin 2"},{"ref":"MPL3115A2.Commands.html#interrupt_pin_temperature_change/2","title":"MPL3115A2.Commands.interrupt_pin_temperature_change/2","type":"function","doc":""},{"ref":"MPL3115A2.Commands.html#interrupt_pin_temperature_threshold/1","title":"MPL3115A2.Commands.interrupt_pin_temperature_threshold/1","type":"function","doc":"INT_CFG_TTH Temperature Threshold Interrupt Pin Select 1 - Interrupt Pin 1 2 - Interrupt Pin 2"},{"ref":"MPL3115A2.Commands.html#interrupt_pin_temperature_threshold/2","title":"MPL3115A2.Commands.interrupt_pin_temperature_threshold/2","type":"function","doc":""},{"ref":"MPL3115A2.Commands.html#interrupt_pin_temperature_window/1","title":"MPL3115A2.Commands.interrupt_pin_temperature_window/1","type":"function","doc":"INT_CFG_TW Temperature Window Interrupt Pin Select 1 - Interrupt Pin 1 2 - Interrupt Pin 2"},{"ref":"MPL3115A2.Commands.html#interrupt_pin_temperature_window/2","title":"MPL3115A2.Commands.interrupt_pin_temperature_window/2","type":"function","doc":""},{"ref":"MPL3115A2.Commands.html#load_output/1","title":"MPL3115A2.Commands.load_output/1","type":"function","doc":"LOAD_OUTPUT This is to load the target values for SRC_PW/SRC_TW and SRC_PTH/SRC_TTH. Default value: 0 0: Do not load OUT_P/OUT_T as target values 1: The next values of OUT_P/OUT_T are used to set the target values for the interrupts. Note: This bit must be set at least once if ALARM_SEL=1 To reload the next OUT_P/OUT_T as the target values clear and set again."},{"ref":"MPL3115A2.Commands.html#load_output/2","title":"MPL3115A2.Commands.load_output/2","type":"function","doc":""},{"ref":"MPL3115A2.Commands.html#maximum_pressure/1","title":"MPL3115A2.Commands.maximum_pressure/1","type":"function","doc":"P_MAX Captured maximum Pressure/Altitude value."},{"ref":"MPL3115A2.Commands.html#maximum_temperature/1","title":"MPL3115A2.Commands.maximum_temperature/1","type":"function","doc":"T_MAX Captured maximum temperature value."},{"ref":"MPL3115A2.Commands.html#minimum_pressure/1","title":"MPL3115A2.Commands.minimum_pressure/1","type":"function","doc":"P_MIN Captured minimum Pressure/Altitude value."},{"ref":"MPL3115A2.Commands.html#minimum_temperature/1","title":"MPL3115A2.Commands.minimum_temperature/1","type":"function","doc":"T_MIN Captured minimum temperature value."},{"ref":"MPL3115A2.Commands.html#one_shot/1","title":"MPL3115A2.Commands.one_shot/1","type":"function","doc":"OST One-shot measurement OST bit will initiate a measurement immediately. If the SBYB bit is set to active, setting the OST bit will initiate an immediate measurement, the part will then return to acquiring data as per the setting of the ST bits in CTRL_REG2. In this mode, the OST bit does not clear itself and must be cleared and set again to initiate another immediate measurement. One Shot: When SBYB is 0, the OST bit is an auto-clear bit. When OST is set, the device initiates a measurement by going into active mode. Once a Pressure/Altitude and Temperature measurement is completed, it clears the OST bit and comes back to STANDBY mode. User shall read the value of the OST bit before writing to this bit again."},{"ref":"MPL3115A2.Commands.html#one_shot/2","title":"MPL3115A2.Commands.one_shot/2","type":"function","doc":""},{"ref":"MPL3115A2.Commands.html#oversample_delay/1","title":"MPL3115A2.Commands.oversample_delay/1","type":"function","doc":"Oversample delay in ms."},{"ref":"MPL3115A2.Commands.html#oversample_ratio/1","title":"MPL3115A2.Commands.oversample_ratio/1","type":"function","doc":"OS Oversample Ratio. These bits select the oversampling ratio."},{"ref":"MPL3115A2.Commands.html#oversample_ratio/2","title":"MPL3115A2.Commands.oversample_ratio/2","type":"function","doc":""},{"ref":"MPL3115A2.Commands.html#pressure/1","title":"MPL3115A2.Commands.pressure/1","type":"function","doc":"OUT_P Pressure in Pascals."},{"ref":"MPL3115A2.Commands.html#pressure_altitude_event_flag_enable/1","title":"MPL3115A2.Commands.pressure_altitude_event_flag_enable/1","type":"function","doc":"PDEFE Data event flag enable on new Pressure/Altitude data. Default value: false."},{"ref":"MPL3115A2.Commands.html#pressure_altitude_event_flag_enable/2","title":"MPL3115A2.Commands.pressure_altitude_event_flag_enable/2","type":"function","doc":""},{"ref":"MPL3115A2.Commands.html#pressure_altitude_target/1","title":"MPL3115A2.Commands.pressure_altitude_target/1","type":"function","doc":"P_TGT Altitude/Pressure target value. This value works in conjunction with the window value (P_WND). In Altitude mode the result is in meters. In Pressure mode the result is in Pascals."},{"ref":"MPL3115A2.Commands.html#pressure_altitude_target/2","title":"MPL3115A2.Commands.pressure_altitude_target/2","type":"function","doc":""},{"ref":"MPL3115A2.Commands.html#pressure_altitude_window/1","title":"MPL3115A2.Commands.pressure_altitude_window/1","type":"function","doc":"P_WND Pressure/Altitude window value. In Altitude mode the result is in meters. In Pressure mode the result is in Pascals."},{"ref":"MPL3115A2.Commands.html#pressure_data_available/1","title":"MPL3115A2.Commands.pressure_data_available/1","type":"function","doc":"PDR Pressure/Altitude new data available."},{"ref":"MPL3115A2.Commands.html#pressure_data_overwrite/1","title":"MPL3115A2.Commands.pressure_data_overwrite/1","type":"function","doc":"POW Pressure/Altitude data overwrite."},{"ref":"MPL3115A2.Commands.html#pressure_delta/1","title":"MPL3115A2.Commands.pressure_delta/1","type":"function","doc":"OUT_P_DELTA Pressure delta in Pascals."},{"ref":"MPL3115A2.Commands.html#pressure_offset/1","title":"MPL3115A2.Commands.pressure_offset/1","type":"function","doc":"OFF_P Pressure Offset Pressure user accessible offset trim value."},{"ref":"MPL3115A2.Commands.html#pressure_offset/2","title":"MPL3115A2.Commands.pressure_offset/2","type":"function","doc":""},{"ref":"MPL3115A2.Commands.html#pressure_or_temperature_data_overwrite/1","title":"MPL3115A2.Commands.pressure_or_temperature_data_overwrite/1","type":"function","doc":"PTOW Pressure/Altitude OR Temperature data overwrite."},{"ref":"MPL3115A2.Commands.html#pressure_or_temperature_data_ready/1","title":"MPL3115A2.Commands.pressure_or_temperature_data_ready/1","type":"function","doc":"PTDR Pressure/Altitude OR Temperature data ready."},{"ref":"MPL3115A2.Commands.html#raw/2","title":"MPL3115A2.Commands.raw/2","type":"function","doc":""},{"ref":"MPL3115A2.Commands.html#raw?/1","title":"MPL3115A2.Commands.raw?/1","type":"function","doc":"RAW Raw output mode. RAW bit will output ADC data with no post processing, except for oversampling. No scaling or offsets will be applied in the digital domain. The FIFO must be disabled and all other functionality: Alarms, Deltas, and other interrupts are disabled."},{"ref":"MPL3115A2.Commands.html#reset/1","title":"MPL3115A2.Commands.reset/1","type":"function","doc":"RST Software Reset. This bit is used to activate the software reset. The Boot mechanism can be enabled in STANDBY and ACTIVE mode. When the Boot bit is enabled the boot mechanism resets all functional block registers and loads the respective internal registers with default values. If the system was already in STANDBY mode, the reboot process will immediately begin; else if the system was in ACTIVE mode, the boot mechanism will automatically transition the system from ACTIVE mode to STANDBY mode, only then can the reboot process begin. The I2C communication system is reset to avoid accidental corrupted data access. At the end of the boot process the RST bit is de-asserted to false. Reading this bit will return a value of false. Default value: false false: Device reset disabled true: Device reset enabled"},{"ref":"MPL3115A2.Commands.html#reset!/1","title":"MPL3115A2.Commands.reset!/1","type":"function","doc":""},{"ref":"MPL3115A2.Commands.html#standby/2","title":"MPL3115A2.Commands.standby/2","type":"function","doc":""},{"ref":"MPL3115A2.Commands.html#standby?/1","title":"MPL3115A2.Commands.standby?/1","type":"function","doc":"SBYB System Standby"},{"ref":"MPL3115A2.Commands.html#system_mode/1","title":"MPL3115A2.Commands.system_mode/1","type":"function","doc":"SYSMOD System Mode, either :standby or :active."},{"ref":"MPL3115A2.Commands.html#temperature/1","title":"MPL3115A2.Commands.temperature/1","type":"function","doc":"OUT_T Temperature in ℃."},{"ref":"MPL3115A2.Commands.html#temperature_data_available/1","title":"MPL3115A2.Commands.temperature_data_available/1","type":"function","doc":"TDR Temperature new Data Available."},{"ref":"MPL3115A2.Commands.html#temperature_data_overwrite/1","title":"MPL3115A2.Commands.temperature_data_overwrite/1","type":"function","doc":"TOW Temperature data overwrite."},{"ref":"MPL3115A2.Commands.html#temperature_delta/1","title":"MPL3115A2.Commands.temperature_delta/1","type":"function","doc":"OUT_T_DELTA Temperature delta in ℃."},{"ref":"MPL3115A2.Commands.html#temperature_delta_interrupt?/1","title":"MPL3115A2.Commands.temperature_delta_interrupt?/1","type":"function","doc":"SRC_TCHG Delta T interrupt status."},{"ref":"MPL3115A2.Commands.html#temperature_event_flag_enable/1","title":"MPL3115A2.Commands.temperature_event_flag_enable/1","type":"function","doc":"TDEFE Data event flag enable on new Temperature data. Default value: false."},{"ref":"MPL3115A2.Commands.html#temperature_event_flag_enable/2","title":"MPL3115A2.Commands.temperature_event_flag_enable/2","type":"function","doc":""},{"ref":"MPL3115A2.Commands.html#temperature_interrupt?/1","title":"MPL3115A2.Commands.temperature_interrupt?/1","type":"function","doc":"SRC_TW Temperature alerter status bit near or equal to target temperature. Near is within target value ± window value. Window value needs to be non zero for interrupt to trigger."},{"ref":"MPL3115A2.Commands.html#temperature_offset/1","title":"MPL3115A2.Commands.temperature_offset/1","type":"function","doc":"OFF_T Temperature Offset Temperature user accessible offset trim value."},{"ref":"MPL3115A2.Commands.html#temperature_offset/2","title":"MPL3115A2.Commands.temperature_offset/2","type":"function","doc":""},{"ref":"MPL3115A2.Commands.html#temperature_target/1","title":"MPL3115A2.Commands.temperature_target/1","type":"function","doc":"T_TGT Temperature target value input in °C."},{"ref":"MPL3115A2.Commands.html#temperature_target/2","title":"MPL3115A2.Commands.temperature_target/2","type":"function","doc":""},{"ref":"MPL3115A2.Commands.html#temperature_threshold_interrupt?/1","title":"MPL3115A2.Commands.temperature_threshold_interrupt?/1","type":"function","doc":"SRC_TTH Temperature threshold interrupt. With the window set to a non zero value, the trigger will occur on crossing any of the thresholds: upper, center or lower. If the window is set to 0, it will only trigger on crossing the center threshold."},{"ref":"MPL3115A2.Commands.html#temperature_window/1","title":"MPL3115A2.Commands.temperature_window/1","type":"function","doc":"T_WND Temperature alarm window value in °C."},{"ref":"MPL3115A2.Commands.html#time_delay/1","title":"MPL3115A2.Commands.time_delay/1","type":"function","doc":"TIME_DLY The time delay register contains the number of ticks of data sample time since the last byte of the FIFO was written. This register starts to increment on FIFO overflow or data wrap and clears when last byte of FIFO is read."},{"ref":"MPL3115A2.Commands.html#who_am_i/1","title":"MPL3115A2.Commands.who_am_i/1","type":"function","doc":"WHO_AM_I Should always respond with 0x0c."},{"ref":"MPL3115A2.Device.html","title":"MPL3115A2.Device","type":"module","doc":""},{"ref":"MPL3115A2.Device.html#altitude/1","title":"MPL3115A2.Device.altitude/1","type":"function","doc":"Returns the current altutude (in meters)."},{"ref":"MPL3115A2.Device.html#altitude_delta/1","title":"MPL3115A2.Device.altitude_delta/1","type":"function","doc":"Returns the change in altitude since the last sample (in meters)."},{"ref":"MPL3115A2.Device.html#execute/2","title":"MPL3115A2.Device.execute/2","type":"function","doc":"Execute an arbitrary function with the PID of the I2C connection."},{"ref":"MPL3115A2.Device.html#pressure/1","title":"MPL3115A2.Device.pressure/1","type":"function","doc":"Returns the current barometric pressure (in Pascals)."},{"ref":"MPL3115A2.Device.html#pressure_data_available?/1","title":"MPL3115A2.Device.pressure_data_available?/1","type":"function","doc":"Returns true of there is pressure data ready for reading."},{"ref":"MPL3115A2.Device.html#pressure_delta/1","title":"MPL3115A2.Device.pressure_delta/1","type":"function","doc":"Returns the change in pressure since the last sample (in Pascals)."},{"ref":"MPL3115A2.Device.html#pressure_or_temperature_data_ready?/1","title":"MPL3115A2.Device.pressure_or_temperature_data_ready?/1","type":"function","doc":"Returns true of there is pressure or temperature data ready for reading."},{"ref":"MPL3115A2.Device.html#temperature/1","title":"MPL3115A2.Device.temperature/1","type":"function","doc":"Returns the current temperature (in ℃)"},{"ref":"MPL3115A2.Device.html#temperature_data_available?/1","title":"MPL3115A2.Device.temperature_data_available?/1","type":"function","doc":"Returns true of there is temperature data ready for reading."},{"ref":"MPL3115A2.Device.html#temperature_delta/1","title":"MPL3115A2.Device.temperature_delta/1","type":"function","doc":"Returns the change in temperature since the last sample (in ℃)"},{"ref":"MPL3115A2.Registers.html","title":"MPL3115A2.Registers","type":"module","doc":"This module provides a wrapper around the MPL3115A2 registers described in Freescale&#39;s data sheet. Don&#39;t access these directly unless you know what you&#39;re doing. It&#39;s better to use the Commands module instead."},{"ref":"MPL3115A2.Registers.html#altitude_data_user_offset/1","title":"MPL3115A2.Registers.altitude_data_user_offset/1","type":"function","doc":"OFF_H register; 1 byte, 0x2d, RW"},{"ref":"MPL3115A2.Registers.html#altitude_data_user_offset/2","title":"MPL3115A2.Registers.altitude_data_user_offset/2","type":"function","doc":""},{"ref":"MPL3115A2.Registers.html#barometric_input/1","title":"MPL3115A2.Registers.barometric_input/1","type":"function","doc":"BAR_IN_MSB register; 0x14, 1 byte, RW BAR_IN_LSB register; 0x15, 1 byte, RW"},{"ref":"MPL3115A2.Registers.html#barometric_input/2","title":"MPL3115A2.Registers.barometric_input/2","type":"function","doc":""},{"ref":"MPL3115A2.Registers.html#control_register1/1","title":"MPL3115A2.Registers.control_register1/1","type":"function","doc":"CTRL_REG1 register; 1 byte, 0x26, RW"},{"ref":"MPL3115A2.Registers.html#control_register1/2","title":"MPL3115A2.Registers.control_register1/2","type":"function","doc":""},{"ref":"MPL3115A2.Registers.html#control_register2/1","title":"MPL3115A2.Registers.control_register2/1","type":"function","doc":"CTRL_REG2 register; 1 byte, 0x27, RW"},{"ref":"MPL3115A2.Registers.html#control_register2/2","title":"MPL3115A2.Registers.control_register2/2","type":"function","doc":""},{"ref":"MPL3115A2.Registers.html#control_register3/1","title":"MPL3115A2.Registers.control_register3/1","type":"function","doc":"CTRL_REG3 register; 1 byte, 0x28, RW"},{"ref":"MPL3115A2.Registers.html#control_register3/2","title":"MPL3115A2.Registers.control_register3/2","type":"function","doc":""},{"ref":"MPL3115A2.Registers.html#control_register4/1","title":"MPL3115A2.Registers.control_register4/1","type":"function","doc":"CTRL_REG4 register; 1 byte, 0x29, RW"},{"ref":"MPL3115A2.Registers.html#control_register4/2","title":"MPL3115A2.Registers.control_register4/2","type":"function","doc":""},{"ref":"MPL3115A2.Registers.html#control_register5/1","title":"MPL3115A2.Registers.control_register5/1","type":"function","doc":"CTRL_REG5 register; 1 byte, 0x2a, RW"},{"ref":"MPL3115A2.Registers.html#control_register5/2","title":"MPL3115A2.Registers.control_register5/2","type":"function","doc":""},{"ref":"MPL3115A2.Registers.html#data_ready_status/1","title":"MPL3115A2.Registers.data_ready_status/1","type":"function","doc":"DR_STATUS register; 0x06, 1 byte, RO"},{"ref":"MPL3115A2.Registers.html#fifo_data_access/1","title":"MPL3115A2.Registers.fifo_data_access/1","type":"function","doc":"F_DATA register; 0x0e, 1 byte, RO"},{"ref":"MPL3115A2.Registers.html#fifo_setup/1","title":"MPL3115A2.Registers.fifo_setup/1","type":"function","doc":"F_SETUP register; 0x0f, 1 byte, RW"},{"ref":"MPL3115A2.Registers.html#fifo_setup/2","title":"MPL3115A2.Registers.fifo_setup/2","type":"function","doc":""},{"ref":"MPL3115A2.Registers.html#fifo_status/1","title":"MPL3115A2.Registers.fifo_status/1","type":"function","doc":"F_STATUS register; 0x0d, 1 byte, RO"},{"ref":"MPL3115A2.Registers.html#interrupt_source/1","title":"MPL3115A2.Registers.interrupt_source/1","type":"function","doc":"INT_SOURCE register; 0x12, 1 byte, RO"},{"ref":"MPL3115A2.Registers.html#maximum_pressure_data/1","title":"MPL3115A2.Registers.maximum_pressure_data/1","type":"function","doc":"P_MAX_MSB register, 0x21, 1 byte, RW P_MAX_CSB register, 0x22, 1 byte, RW P_MAX_LSB register, 0x23, 1 byte, RW"},{"ref":"MPL3115A2.Registers.html#maximum_pressure_data/2","title":"MPL3115A2.Registers.maximum_pressure_data/2","type":"function","doc":""},{"ref":"MPL3115A2.Registers.html#maximum_temperature_data/1","title":"MPL3115A2.Registers.maximum_temperature_data/1","type":"function","doc":"T_MAX_MSB register; 0x24, 1 byte, RW T_MAX_LSB register; 0x25, 1 byte, RW"},{"ref":"MPL3115A2.Registers.html#maximum_temperature_data/2","title":"MPL3115A2.Registers.maximum_temperature_data/2","type":"function","doc":""},{"ref":"MPL3115A2.Registers.html#minimum_pressure_data/1","title":"MPL3115A2.Registers.minimum_pressure_data/1","type":"function","doc":"P_MIN_MSB register; 0x1c, 1 byte, RW P_MIN_CSB register; 0x1d, 1 byte, RW P_MIN_LSB register; 0x1e, 1 byte, RW"},{"ref":"MPL3115A2.Registers.html#minimum_pressure_data/2","title":"MPL3115A2.Registers.minimum_pressure_data/2","type":"function","doc":""},{"ref":"MPL3115A2.Registers.html#minimum_temperature_data/1","title":"MPL3115A2.Registers.minimum_temperature_data/1","type":"function","doc":"T_MIN_MSB register; 0x1f, 1 byte, RW T_MIN_LSB register; 0x20, 1 byte, RW"},{"ref":"MPL3115A2.Registers.html#minimum_temperature_data/2","title":"MPL3115A2.Registers.minimum_temperature_data/2","type":"function","doc":""},{"ref":"MPL3115A2.Registers.html#pressure_altitude_window/1","title":"MPL3115A2.Registers.pressure_altitude_window/1","type":"function","doc":"P_WND_MSB register; 0x19, 1 byte, RW P_WND_LSB register; 0x1a, 1 byte, RW"},{"ref":"MPL3115A2.Registers.html#pressure_altitude_window/2","title":"MPL3115A2.Registers.pressure_altitude_window/2","type":"function","doc":""},{"ref":"MPL3115A2.Registers.html#pressure_data_out/1","title":"MPL3115A2.Registers.pressure_data_out/1","type":"function","doc":"OUT_P_MSB register; 0x01, 1 byte, RO OUT_P_CSB register; 0x02, 1 byte, RO OUT_P_LSB register; 0x03, 1 byte, RO"},{"ref":"MPL3115A2.Registers.html#pressure_data_out_delta/1","title":"MPL3115A2.Registers.pressure_data_out_delta/1","type":"function","doc":"OUT_P_DELTA_MSB register; 0x07, 1 byte, RO OUT_P_DELTA_CSB register; 0x08, 1 byte, RO OUT_P_DELTA_LSB register; 0x09, 1 byte, RO"},{"ref":"MPL3115A2.Registers.html#pressure_data_user_offset/1","title":"MPL3115A2.Registers.pressure_data_user_offset/1","type":"function","doc":"OFF_P register; 1 byte, 0x2b, RW"},{"ref":"MPL3115A2.Registers.html#pressure_data_user_offset/2","title":"MPL3115A2.Registers.pressure_data_user_offset/2","type":"function","doc":""},{"ref":"MPL3115A2.Registers.html#pressure_target/1","title":"MPL3115A2.Registers.pressure_target/1","type":"function","doc":"P_TGT_MSB register; 0x16, 1 byte, RW P_TGT_LSB register; 0x17, 1 byte, RW"},{"ref":"MPL3115A2.Registers.html#pressure_target/2","title":"MPL3115A2.Registers.pressure_target/2","type":"function","doc":""},{"ref":"MPL3115A2.Registers.html#pt_data_configuration/1","title":"MPL3115A2.Registers.pt_data_configuration/1","type":"function","doc":"PT_DATA_CFG register; 0x13, 1 byte, RW"},{"ref":"MPL3115A2.Registers.html#pt_data_configuration/2","title":"MPL3115A2.Registers.pt_data_configuration/2","type":"function","doc":""},{"ref":"MPL3115A2.Registers.html#status/1","title":"MPL3115A2.Registers.status/1","type":"function","doc":"STATUS register; 0x00; 1 byte, RO"},{"ref":"MPL3115A2.Registers.html#system_mode/1","title":"MPL3115A2.Registers.system_mode/1","type":"function","doc":"SYSMOD register; 0x11, 1 byte, RO"},{"ref":"MPL3115A2.Registers.html#temperature_data_out/1","title":"MPL3115A2.Registers.temperature_data_out/1","type":"function","doc":"OUT_T_MSB register; 0x04, 1 byte, RO OUT_T_LSB register; 0x05, 1 byte, RO"},{"ref":"MPL3115A2.Registers.html#temperature_data_out_delta/1","title":"MPL3115A2.Registers.temperature_data_out_delta/1","type":"function","doc":"OUT_T_DELTA_MSB register; 0x0a, 1 byte, RO OUT_T_DELTA_LSB register; 0x0b, 1 byte, RO"},{"ref":"MPL3115A2.Registers.html#temperature_data_user_offset/1","title":"MPL3115A2.Registers.temperature_data_user_offset/1","type":"function","doc":"OFF_T register; 1 byte, 0x2c, RW"},{"ref":"MPL3115A2.Registers.html#temperature_data_user_offset/2","title":"MPL3115A2.Registers.temperature_data_user_offset/2","type":"function","doc":""},{"ref":"MPL3115A2.Registers.html#temperature_target/1","title":"MPL3115A2.Registers.temperature_target/1","type":"function","doc":"T_TGT register; 0x18, 1 byte, RO"},{"ref":"MPL3115A2.Registers.html#temperature_target/2","title":"MPL3115A2.Registers.temperature_target/2","type":"function","doc":""},{"ref":"MPL3115A2.Registers.html#temperature_window/1","title":"MPL3115A2.Registers.temperature_window/1","type":"function","doc":"T_WND register; 0x1b, 1 byte, RW"},{"ref":"MPL3115A2.Registers.html#temperature_window/2","title":"MPL3115A2.Registers.temperature_window/2","type":"function","doc":""},{"ref":"MPL3115A2.Registers.html#time_delay/1","title":"MPL3115A2.Registers.time_delay/1","type":"function","doc":"TIME_DLY register; 0x10, 1 byte, RO"},{"ref":"MPL3115A2.Registers.html#who_am_i/1","title":"MPL3115A2.Registers.who_am_i/1","type":"function","doc":"WHO_AM_I register; 0x0c, 1 byte, RO"}]